---
updatedAt: 2026-07-28T13:53:12.000Z
---

# Get a list of EMAs

Use this API to get a list of EMAs that match the given parameters.<br><br><a href="https://api.solace.dev/cloud/reference/authentication">Token Permissions</a>: [ <code>event_management_agent:read</code> ]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Event Portal - Runtime",
    "description": "REST API Concepts\n\nSolace Event Portal provides REST APIs that you can use to manage your data in Solace Cloud. \nThe REST APIs allow you to model your event-driven architectures from your own client applications.\n\nThe following document describes the public REST APIs available for use in Event Portal 2.0. Objects created in this \nversion will not be available in Event Portal 1.0. APIs that display (Beta) in their summary are provided as-is and \nare subject to change or removal. They may not be of the quality expected for generally available APIs and have no \nguaranteed forward compatibility with the generally available version of the API.\n\n",
    "version": "2.13.2"
  },
  "servers": [
    {
      "url": "https://api.solace.cloud",
      "description": "Solace PubSub+ Cloud US EAST Region"
    },
    {
      "url": "https://api.solacecloud.com.au",
      "description": "Solace PubSub+ Cloud AU Region"
    },
    {
      "url": "https://api.solacecloud.eu",
      "description": "Solace PubSub+ Cloud EU Region"
    },
    {
      "url": "https://api.solacecloud.sg",
      "description": "Solace PubSub+ Cloud SG Region"
    }
  ],
  "security": [
    {
      "APIToken": []
    }
  ],
  "tags": [
    {
      "name": "Event Management Agents"
    }
  ],
  "paths": {
    "/api/v2/architecture/eventManagementAgents": {
      "get": {
        "tags": [
          "Event Management Agents"
        ],
        "summary": "Get a list of EMAs",
        "description": "Use this API to get a list of EMAs that match the given parameters.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>event_management_agent:read</code> ]",
        "operationId": "getEventManagementAgents",
        "parameters": [
          {
            "name": "pageSize",
            "in": "query",
            "description": "The number of EMAs to get per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 20,
              "maximum": 100,
              "minimum": 1
            }
          },
          {
            "name": "pageNumber",
            "in": "query",
            "description": "The page number to get.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.\nDefine the sort order using the following string: `fieldname:asc/desc` where:\n\n- `fieldname` — The field name of the query parameter to sort by.\n- `asc` — Sort the selected field name in ascending order.\n- `desc` — Sort the selected field name in descending order.\n\nIf the direction is not specified, the default is ascending.\n\nYou can use multiple query parameters to refine the sorting order.\n",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ids",
            "in": "query",
            "description": "The IDs of the EMAs.",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "uniqueItems": true
            }
          },
          {
            "name": "createdBy",
            "in": "query",
            "description": "Match only EMAs created by this user",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "eventManagementAgentRegionId",
            "in": "query",
            "description": "Match only EMAs in the given EMA-Region",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "include",
            "in": "query",
            "description": "Specify extra data to be included, options are: referencedByMessagingServiceIds.\n<br>Replacement: Use expand instead.\n<br>Reason: The change is to align with the API specification design.\n<br>Removal Date: 2024-11-03 18:00:00.000.\n",
            "required": false,
            "deprecated": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "expand",
            "in": "query",
            "description": "Specify extra data to be included, options are: referencedByMessagingServiceIds.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of EMAs and the accompanying metadata.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EventManagementAgentsResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "405": {
            "description": "Method Not Allowed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "503": {
            "description": "Service Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "discriminator": {
          "propertyName": "errorType"
        },
        "properties": {
          "message": {
            "type": "string",
            "description": "A user-friendly message that describes the error.",
            "example": "An error occurred."
          },
          "errorId": {
            "type": "string",
            "description": "The UUID (Universally Unique Identifier) that is logged with an appropriate stack trace for a WARN or ERROR log that allows support to better determine what cause the error.",
            "example": "123e4567-e89b-12d3-a456-426655440000"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {},
            "example": "'object': { 'field': 'description' }"
          },
          "validationDetails": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
            "example": "'name': ['Not unique']"
          },
          "errorType": {
            "type": "string",
            "writeOnly": true
          }
        }
      },
      "EventManagementAgent": {
        "type": "object",
        "additionalProperties": true,
        "properties": {
          "createdTime": {
            "type": "string",
            "description": "The time the entity was created",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "updatedTime": {
            "type": "string",
            "description": "The time the entity was last updated",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "createdBy": {
            "type": "string",
            "description": "The user who created the entity",
            "example": 12345678,
            "readOnly": true
          },
          "changedBy": {
            "type": "string",
            "description": "The user who last updated the entity",
            "example": 12345678,
            "readOnly": true
          },
          "id": {
            "type": "string",
            "description": "Primary key set by the server.",
            "example": "sdagkjlh32x",
            "readOnly": true
          },
          "name": {
            "type": "string",
            "description": "The name of the EMA.",
            "example": "primary event management agent"
          },
          "region": {
            "type": "string",
            "description": "The region in which the EMA belongs to, extracted from the EventManagementAgentRegion.",
            "example": "North America",
            "readOnly": true
          },
          "referencedByMessagingServiceIds": {
            "type": "array",
            "items": {
              "type": "string",
              "description": "The list of messagingServiceIds user provides in GET APIs to filter the results.",
              "example": [
                "1kjdsf32",
                "9875ksdf"
              ],
              "readOnly": true
            }
          },
          "orgId": {
            "type": "string",
            "description": "Used by admin APIs to get a list of EMAs against the given orgId.",
            "example": "897xd32",
            "readOnly": true
          },
          "status": {
            "type": "string",
            "description": "The connection status of EP to the actual EMA which this object represents.",
            "example": "Connected",
            "readOnly": true
          },
          "lastConnectedTime": {
            "type": "string",
            "description": "The timestamp of last heartbeat received from the EMA.",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "version": {
            "type": "string",
            "description": "The version of the current connected EMA.",
            "example": "1.1.2",
            "readOnly": true
          },
          "runtimeAgentMode": {
            "type": "string",
            "description": "The mode that the EMA operates in. scanWithEventPortal is equivalent to Connected, and uploadScanFile is equivalent to Offline.",
            "enum": [
              "scanWithEventPortal",
              "uploadScanFile"
            ],
            "example": "scanWithEventPortal",
            "readOnly": true
          },
          "updateRequired": {
            "type": "boolean",
            "description": "Determines whether the EMA needs an upgrade.",
            "example": true,
            "readOnly": true
          },
          "eventManagementAgentRegionId": {
            "type": "string",
            "description": "The ID of the associated EventManagementAgentRegion.",
            "example": "sdfkjh3242ds"
          },
          "type": {
            "type": "string",
            "readOnly": true
          }
        }
      },
      "EventManagementAgentsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EventManagementAgent"
            }
          },
          "meta": {
            "$ref": "#/components/schemas/meta"
          }
        }
      },
      "Pagination": {
        "type": "object",
        "properties": {
          "pageNumber": {
            "type": "integer",
            "format": "int32"
          },
          "count": {
            "type": "integer",
            "format": "int32"
          },
          "pageSize": {
            "type": "integer",
            "format": "int32"
          },
          "nextPage": {
            "type": "integer",
            "format": "int32"
          },
          "totalPages": {
            "type": "integer",
            "format": "int32"
          }
        }
      },
      "meta": {
        "type": "object",
        "properties": {
          "pagination": {
            "$ref": "#/components/schemas/Pagination"
          }
        }
      }
    },
    "securitySchemes": {
      "APIToken": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```